.offer-block {

    &__main {

    }

    &__slider {

    }

    &__media {

    }

    &__content {

    }

    &__header {
        margin-bottom: rem(15);
    }

    &__text {
        font-size: rem(16);
        line-height: rem(23);
    }

    &__button {

        &--xl {
            display: none;
        }

        .btn {
            width: 100%;
        }
    }

    &__slider {
        width: 290px;
        position: relative;
        margin: rem(20) auto;

        &:before {
            top: 0;
            bottom: 0;
            z-index: 10;
            content: '';
            left: -1000px;
            right: -1000px;
            position: absolute;

        }
    }

    &__mobile {
        display: block;
        overflow: hidden;
        border-radius: 12px;
    }

    &__media {
        display: none;
    }

    @include media-breakpoint-up(lg) {

        &__slider {
            display: none;
        }

        &__text {
            margin-bottom: rem(20);
        }

        &__header {
            margin-bottom: rem(24);
        }

        &__button {

            &--xl {
                display: block;
            }

            &--sm {
                display: none;
            }

            .btn {
                width: auto;
                min-width: rem(352);
            }
        }

        &__media {
            display: block;
            overflow: hidden;
            border-radius: 12px;
        }

        &__main {
            display: grid;
            grid-row-gap: rem(24);
            grid-column-gap: rem(24);
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__content {
            padding: rem(30);
            background: #F4F5F6;
            border-radius: 12px;
            grid-column-start: 1;
            grid-column-end: 4;
        }
    }

    @include media-breakpoint-up(xl) {

        &__text {
            font-size: rem(20);
            line-height: rem(30);
        }

        &__content {
            grid-column-start: 1;
            grid-column-end: 3;
        }

        &__media {

            &:last-child {
                grid-column-start: 2;
                grid-column-end: 4;
            }
        }
    }
}

[data-offer-block] {
    overflow: visible;

    .swiper-wrapper {
        transition-timing-function : linear;
    }
}
